package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.dto.AlcoholTestDto;
import com.yx.face.model.entity.AlcoholTestRecord;
import com.yx.face.model.vo.AlcoholTestRecordVo;

import javax.servlet.http.HttpServletResponse;

public interface AlcoholTestRecordService {

    /**
     * 酒测记录分页
     *
     * @param alcoholTestDto PageInfo<AlcoholTestRecord>
     * @return RestDTO<AlcoholTestDto>
     */
    PageInfo<AlcoholTestRecordVo> getAlcoholTestRecordList(RestDTO<AlcoholTestDto> alcoholTestDto);

    void excelOut(AlcoholTestDto dto, HttpServletResponse response);
}
