package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.ShortTermFaceLog;
import com.yx.face.model.vo.FaceLogVO;

import java.util.List;
import java.util.Map;

/**
 * @description: 天波人脸设备进出记录表(FaceLog)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

public interface ShortTermFaceLogDao extends TKMapper<ShortTermFaceLog> {
    List<FaceLogVO> getFaceLogs(Map<String,Object> map);

    /*2022-02-27对face_log查询就行优化 单表查询*/
    List<FaceLogVO> getFaceLogsNew(Map<String, Object> map);
}

