package com.yx.face.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.vo
 * @class AlcoholTestRecordVo
 * @date 2023/5/18 下午5:14
 * @description
 */
@Data
public class AlcoholTestRecordExcel implements Serializable {


    @ExcelProperty(value = "账号名称")
    private String username;
    @ExcelProperty(value = "设备编号")
    private String sn;
    @ExcelProperty(value = "设备名称")
    private String deviceName;
    @ExcelProperty(value = "姓名")
    private String name;
    @ExcelProperty(value = "现场照片")
    private String photo;
    @ExcelProperty(value = "证件号")
    private String cardid;
    @ExcelProperty(value = "手机号")
    private String phone;
    @ExcelProperty("是否饮酒")//
    private String isDrank;
    @ExcelProperty(value = "酒精值")
    private String extend6;
    @ExcelProperty(value = "进/出")//
    private String outType;
    @ExcelProperty(value = "验证类型")//
    private String verifyType;
    @ExcelProperty(value = "人员类型")//
    private String rightno;
    @ExcelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
