package com.yx.face.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.vo
 * @class AlcoholTestRecordVo
 * @date 2023/5/18 下午5:14
 * @description
 */
@Data
public class AlcoholTestRecordVo implements Serializable {

    private Integer id;
    private Integer adminId;
    private String cardIdEx;
    private String sn;
    private String extend1;
    private String extend2;
    @ApiModelProperty(value = "温度")
    private String extend3;
    @ApiModelProperty(value = "酒精值")
    private String extend6;
    @ApiModelProperty(value = "阴性 阳性")
    private String hsStatus;
    @ApiModelProperty(value = "健康码状态00 绿码 01 黄码 10 红码")
    private String jkmStatus;
    @ApiModelProperty(value = "健康码类型 0 健康码 1 国康码")
    private String jkmType;
    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "现场照片")
    private String photo;
    private String pin;
    private String reason;
    private String recordId;
    private String time;
    @ApiModelProperty(value = "体温是否异常 0 正常 1 异常")
    private String twStatus;
    private String verifyScore;

    private String videoUploaded;
    @ApiModelProperty(value = "行程信息")
    private String xcInfo;
    @ApiModelProperty(value = "疫苗状态 0针 等等依次累加")
    private String ymStatus;

    @ApiModelProperty(value = "通行时间")
    private Date createTime;

    @Transient
    @ApiModelProperty("是否饮酒1-是 0-否")
    private Integer isDrank;

    @Transient
    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @Transient
    @ApiModelProperty(value = "账号名称")
    private String username;

    private String cardid;
    private Integer verifyType;
    private Integer outType;
    private Integer rightno;


}
